Bug 157195 - perl.req does not ignore strings
Summary: perl.req does not ignore strings
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-09 08:11 UTC by Tim Niemueller
Modified: 2008-07-03 01:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:17:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Niemueller 2005-05-09 08:11:44 UTC
Description of problem:
Consider the following snippet:

print STDOUT << "USAGE";
usage: $0
    -p port
       use non-standard port number for connection
USAGE

This will result in perl(non-standard) as a requirement.



Version-Release number of selected component (if applicable):
$ rpm -q perl
perl-5.8.5-12.FC3
$ rpm -q rpm
rpm-4.3.2-21
$ rpm -q rpm-build
rpm-build-4.3.2-21


How reproducible:
Always

Steps to Reproduce:
1. Put mentioned snippet into file test.pl
2. /usr/lib/rpm/perl.req test.pl
  
Actual results:
Will show perl(non-standard) as a requirement.

Expected results:
Should not give perl(non-standard) as a requirement

Comment 1 Jeff Johnson 2005-08-27 02:47:47 UTC
Yep, the regexes in perl.req are fragile and will generate dependencies for tokens found after "use".

Comment 2 Matthew Miller 2006-07-10 20:33:42 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 Jeff Johnson 2006-07-11 21:33:57 UTC
FWIW, the patch in bugzilla #198033 fixes a major class of problems extracting tokens after "use" in 
quoted strings.

Comment 4 Matthew Miller 2006-07-12 01:45:41 UTC
Looks like bug #198033 is a separate-but-similar issue, correct? I'm going to
move this to devel -- if anyone thinks otherwise please correct me.

Comment 5 Panu Matilainen 2007-08-10 08:47:53 UTC
Yup, the patch in #198033 doesn't help with this one even if it's similar.

Comment 6 Panu Matilainen 2007-08-22 06:35:14 UTC
Reassigning to owner after bugzilla made a mess, sorry about the noise...

Comment 7 Tim Niemueller 2008-01-19 12:41:13 UTC
This one is dangling around for quite some time now. I didn't package any Perl
modules lately but doing the described test above still returns the wrong
answer. Are you going to fix this or should we close this as WONTFIX?

Comment 8 Bug Zapper 2008-05-14 01:59:30 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Tim Niemueller 2008-06-12 22:17:49 UTC
There is a workaround described at http://fedoraproject.org/wiki/Packaging/Perl
so I'll close this WONTFIX. If you disagree please re-open, but this has been
open for a very long time now...

Comment 10 J. Randall Owens 2008-07-03 01:28:09 UTC
Actually, I just tried this out with the rpm-build-4.4.2.3-2.fc9 perl.req, and
it does not output "perl(non-standard)" (or anything else, on a very basic test
script).  I couldn't even say offhand whether it's my aforementioned #198033
patch that fixes it!  But it seems to work, one way or another.


Note You need to log in before you can comment on or make changes to this bug.